package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * oa_审批流程表
 * </p>
 *
 * @author fu
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaFlow implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流程表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程名称
     */
    private String flowName;

    /**
     * 表单标识
     */
    private String docType;

    /**
     * 流程说明
     */
    private String description;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
