package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * oa_流程节点表
 * </p>
 *
 * @author fu
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaNode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 节点表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程ID
     */
    private Integer flowId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 上级节点
     */
    private Integer parentId;

    /**
     * 节点类型 （1：审批节点 2：抄送节点）
     */
    private Integer nodeType;

    /**
     * 0：指定成员，1：部门主管，2：发起人自选，3：指定部门，4：指定职位
     */
    private Integer nodeScope;

    /**
     * 审批人id
     */
    private String proposer;

    /**
     * 审批部门id
     */
    private Integer deptId;

    /**
     * 职位id
     */
    private Integer jobId;

    /**
     * 节点编号
     */
    private String nodeNo;


}
